### Method

# GUPnP DeviceInfo list_service_types

#### Declaration [src]

    GList*
    gupnp_device_info_list_service_types (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get a `GList` of strings representing the types of the services directly contained in `info`, but not in its subdevices.

#### Return value

Returns: | A list of `utf8`
| A `GList` of strings. The elements should be g_free()’d and the list should be g_list_free()’d.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| Each element is a NUL terminated UTF-8 string.